<?php

if (!isset ($fonct_dip))
{
 $fonct_dip=1;
 //Affichage des résultats dans un modèle de diplôme
function diplome_pdf($m,$n, $prn, $cla, $niv, $offs, $sortie="php://stdout")
 {
  global $etab_theme, $etab_rne, $etab_nom, $etab_ville,$pdf,$MODULE;
  // Modifier pour le C2i ?
  if ($MODULE=='GiBii') $lib=array(1=>"B2i École","B2i Collège","B2i Lycée-CFA");
      elseif ($MODULE=='GiCii') $lib=array(1=>"C2i niveau 1","C2i niveau 2","C2i niveau 3");
      else  $lib=array(1=>"niveau 1","niveau 2","niveau 3");
  $niveau=$lib[$niv];
  
  $logo_dip=array(
  1 => "../../../images/b2i_ecol.jpg",
  2 => "../../../images/b2i_clg.jpg",
  3 => "../../../images/b2i_lyc.jpg"
  );

  @setlocale(LC_TIME, "fr_FR", "FRA", 'france', 'french');
  //$aujourdhui = strftime ("%A %d %B %Y");
  $aujourdhui = strftime ("%d/%m/%Y");

  $fp= fopen($sortie,$m);   //$m="a" pour la liste des diplomes et "w" pour le diplome seul

  //début de page
  if ($m=="w") {
     fputs ($fp,"<?php\n");
     fputs($fp,"Header('Pragma:Public');\n");
     fputs ($fp,"include('../../../include/util.inc.php');\n");
     fputs ($fp,"include('../../../lib/fpdf.php');\n\n");
     fputs ($fp,"\$pdf=new FPDF('P','cm','A4'); \n");
     fputs ($fp,"\$pdf->Open();\n");
     }

  //un diplôme haut de page (addpage) ou à mi-page (ajout blanc)
  if ($offs==0) fputs ($fp,"\$pdf->AddPage();\n");
     else fputs ($fp,"\$pdf->Cell(19,1,'',0,1);\n");
    $h=str_replace(",",".",($offs+1));
    
  //Choix du logo dans images en fonction du niveau (sauf pour GiCii, où il reste dans le thème)
  if ($MODULE!='GiCii') $logob2i=$logo_dip[$niv];
  else $logob2i="../../../themes/".$etab_theme."/logo-b2i_educnet.jpg";
  
  fputs ($fp,"\$pdf->Image('$logob2i',1,$h,19);\n");
  fputs ($fp,"\$pdf->Cell(19,2.9,'',0,1);\n");

  fputs ($fp,"\$pdf->SetFont('Arial','B',16);\n");
  fputs ($fp,"\$pdf->SetTextColor(255,255,255);\n");
  //Plus d'impression du niveau il est en dur dans le logo, sauf pour GiCii
  if ($MODULE=='GiCii') fputs ($fp,"\$pdf->Cell(4,1,'$niveau',0,0,'C');\n");
  else fputs ($fp,"\$pdf->Cell(4,1,'',0,0,'C');\n");
  fputs ($fp,"\$pdf->SetFont('Arial','B',17);\n");
  fputs ($fp,"\$pdf->SetTextColor(255,255,255);\n");
  //fputs ($fp,"\$pdf->SetTextColor(12,0,135);\n");
  fputs ($fp,"\$pdf->Cell(15,1,'ATTESTATION   ',0,1,'C');\n");
  fputs ($fp,"\$pdf->Cell(19,0.5,'',0,1,'C');\n");

  fputs ($fp,"\$pdf->SetFont('Arial','I',10,'C');\n");
  fputs ($fp,"\$pdf->SetTextColor(100,100,100);\n");
  fputs ($fp,"\$pdf->Cell(19,1,'Le Brevet Informatique et Internet attestant des compétences du \"$niveau\" est attribué à :',0,1,'C');\n");

  fputs ($fp,"\$pdf->SetFont('','B',15);\n");
  fputs ($fp,"\$pdf->SetTextColor(5,37,201);\n");
  if ($cla!="") $klasse="de la classe de $cla";
      else $klasse="";
  $lib_nom=addslashes("$prn $n $klasse");
  fputs ($fp,"\$pdf->Cell(19,1.2,'$lib_nom',0,1,'C');\n");
  fputs ($fp,"\$pdf->Cell(19,1.1,'',0,1,'C');\n");
  fputs ($fp,"\$pdf->SetFont('','',8);\n");
  fputs ($fp,"\$pdf->SetTextColor(0,0,0);\n");
  fputs ($fp,"\$pdf->Cell(3,1,'',0,0);\n");
  $ad_etab=addslashes("$etab_nom à $etab_ville, le $aujourdhui");
  fputs ($fp,"\$pdf->Cell(16,1,'$ad_etab',0,1);\n");

  fputs ($fp,"\$pdf->Cell(2.5,3.0,'',0,0);\n");
  $h=str_replace(",",".",($offs+10));
  $logo=getfilepath("ministere.jpg","../data/".$etab_rne."/images/","../images/");
  $logo="../../".$logo;
  fputs ($fp,"\$pdf->Image(\"$logo\",1.5,$h,2);\n");
  fputs ($fp,"\$pdf->SetFont('Arial','',7);\n");
  fputs ($fp,"\$pdf->SetTextColor(100,100,100);\n");
  fputs ($fp,"\$pdf->Cell(4.5,1.0,'Cachet de l\'établissement',0,0,'C');\n");
  fputs ($fp,"\$pdf->Cell(4.5,1.0,'Le Chef d\'établissement,',0,0,'C');\n");
  fputs ($fp,"\$pdf->Cell(4.5,1.0,'L\'élève,',0,0,'C');\n");
  fputs ($fp,"\$pdf->Cell(3,3.0,'',0,1);\n");
  $h=str_replace(",",".",($offs+10));
  //Recherche du logo perso de l'étab
  $logo=getfilepath("logoetab.jpg","../data/".$etab_rne."/images/","../images/");
  $logo="../../".$logo;
  fputs ($fp,"\$pdf->Image(\"$logo\",16.5,$h,3);\n");

  //Fin diplome, on trace un trait au milieu de la page si $offset=0
  if ($offs==0) {
      fputs ($fp,"\$pdf->Cell(19,2,'',0,1);\n");
      fputs ($fp,"\$pdf->Cell(19,0.005,'',1,1);\n");
      }

  if ($m=="w") {     //Pour diplôme isolé, on éjecte tout de suite, les autres ailleurs !
      fputs ($fp,"\$pdf->Output();\n");
      fputs ($fp,"?>\n");  //<? pour la coloration syntaxique
      }

  fclose($fp);    //On ferme ce flux

 }
 
//Diplome A4
function diplome_A4($m,$n, $prn, $cla, $niv, $offs, $sortie="php://stdout")
 {
  global $etab_theme, $etab_rne, $etab_nom, $etab_ville,$pdf,$MODULE;
  // Modifier pour le C2i ?
  if ($MODULE=='GiBii') $lib=array(1=>"B2i École","B2i Collège","B2i Lycée-CFA");
      elseif ($MODULE=='GiCii') $lib=array(1=>"C2i niveau 1","C2i niveau 2","C2i niveau 3");
      else  $lib=array(1=>"niveau 1","niveau 2","niveau 3");
  $niveau=$lib[$niv];
  
  $logo_dip=array(
  1 => "../../../images/b2i_ecol.jpg",
  2 => "../../../images/b2i_clg.jpg",
  3 => "../../../images/b2i_lyc.jpg"
  );

  @setlocale(LC_TIME, "fr_FR", "FRA", 'france', 'french');
  //$aujourdhui = strftime ("%A %d %B %Y");
  $aujourdhui = strftime ("%d/%m/%Y");

  $fp= fopen($sortie,$m);   //$m="a" pour la liste des diplomes et "w" pour le diplome seul

  //début de page
  if ($m=="w") {
     fputs ($fp,"<?php\n");
     fputs($fp,"Header('Pragma:Public');\n");
     fputs ($fp,"include('../../../include/util.inc.php');\n");
     fputs ($fp,"include('../../../lib/fpdf.php');\n\n");
     fputs ($fp,"\$pdf=new FPDF('L','cm','A4'); \n");
     fputs ($fp,"\$pdf->Open();\n");
     }

  //un diplôme haut de page (addpage) ou à mi-page (ajout blanc)
  if ($offs==0) fputs ($fp,"\$pdf->AddPage();\n");
     else fputs ($fp,"\$pdf->Cell(19,1,'',0,1);\n");
    $h=str_replace(",",".",($offs+1));
    
  //Choix du logo dasn images en fonction du niveau (sauf pour GiCii, où il reste dans le thème)
  if ($MODULE!='GiCii') $logob2i=$logo_dip[$niv];
  else $logob2i="../../../themes/".$etab_theme."/logo-b2i_educnet.jpg";
  
  fputs ($fp,"\$pdf->Image('$logob2i',1,$h,28);\n");
  fputs ($fp,"\$pdf->Cell(28,2.9,'',0,1);\n");

  fputs ($fp,"\$pdf->SetFont('Arial','B',20);\n");
  fputs ($fp,"\$pdf->SetTextColor(255,255,255);\n");
  //Plus d'impression du niveau il est en dur dans le logo, sauf pour GiCii
  if ($MODULE=='GiCii') fputs ($fp,"\$pdf->Cell(4,1,'$niveau',0,0,'C');\n");
  else fputs ($fp,"\$pdf->Cell(4,1,'',0,0,'C');\n");
  fputs ($fp,"\$pdf->SetFont('Arial','B',32);\n");
  fputs ($fp,"\$pdf->SetTextColor(255,255,255);\n");
  //fputs ($fp,"\$pdf->SetTextColor(12,0,135);\n");
  fputs ($fp,"\$pdf->Cell(25,4.25,'ATTESTATION   ',0,1,'C');\n");
  fputs ($fp,"\$pdf->Cell(19,0.5,'',0,1,'C');\n");

  fputs ($fp,"\$pdf->SetFont('Arial','I',16,'C');\n");
  fputs ($fp,"\$pdf->SetTextColor(100,100,100);\n");
  fputs ($fp,"\$pdf->Cell(25,2.5,'Le Brevet Informatique et Internet attestant des compétences du \"$niveau\" est attribué à :',0,1,'C');\n");

  fputs ($fp,"\$pdf->SetFont('','B',15);\n");
  fputs ($fp,"\$pdf->SetTextColor(5,37,201);\n");
  if ($cla!="") $klasse="de la classe de $cla";
      else $klasse="";
  $lib_nom=addslashes("$prn $n $klasse");
  fputs ($fp,"\$pdf->Cell(25,1.2,'$lib_nom',0,1,'C');\n");
  fputs ($fp,"\$pdf->Cell(19,1.1,'',0,1,'C');\n");
  fputs ($fp,"\$pdf->SetFont('','',8);\n");
  fputs ($fp,"\$pdf->SetTextColor(0,0,0);\n");
  fputs ($fp,"\$pdf->Cell(3,1,'',0,0);\n");
  $ad_etab=addslashes("$etab_nom à $etab_ville, le $aujourdhui");
  fputs ($fp,"\$pdf->Cell(16,1,'$ad_etab',0,1);\n");

  fputs ($fp,"\$pdf->Cell(2.5,3,'',0,0);\n");
  $h=str_replace(",",".",($offs+15));
  $logo=getfilepath("ministere.jpg","../data/".$etab_rne."/images/","../images/");
  $logo="../../".$logo;
  fputs ($fp,"\$pdf->Image(\"$logo\",1.5,$h,2);\n");
  fputs ($fp,"\$pdf->SetFont('Arial','',7);\n");
  fputs ($fp,"\$pdf->SetTextColor(100,100,100);\n");
  fputs ($fp,"\$pdf->Cell(7,1.0,'Cachet de l\'établissement',0,0,'C');\n");
  fputs ($fp,"\$pdf->Cell(7,1.0,'Le Chef d\'établissement,',0,0,'C');\n");
  fputs ($fp,"\$pdf->Cell(7,1.0,'L\'élève,',0,0,'C');\n");
  fputs ($fp,"\$pdf->Cell(3,3.0,'',0,1);\n");
  $h=str_replace(",",".",($offs+15));
  //Recherche du logo perso de l'étab
  $logo=getfilepath("logoetab.jpg","../data/".$etab_rne."/images/","../images/");
  $logo="../../".$logo;
  fputs ($fp,"\$pdf->Image(\"$logo\",25,$h,3);\n");

  //Fin diplome, on trace un trait au milieu de la page si $offset=0
  //test de modif du diplome par N. Waeffler
/*  if ($offs==0) {
      fputs ($fp,"\$pdf->Cell(19,2,'',0,1);\n");
      fputs ($fp,"\$pdf->Cell(19,0.005,'',1,1);\n");
      }
 */
  if ($m=="w") {     //Pour diplôme isolé, on éjecte tout de suite, les autres ailleurs !
      fputs ($fp,"\$pdf->Output();\n");
      fputs ($fp,"?>\n");  //<? pour la coloration syntaxique
      }

  fclose($fp);    //On ferme ce flux

 } 
 

} //fin test fonction déjà 'include' !
?>
